import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class GreenRacecar here.
 * 
 * @author Edwin, Paul, Mike 
 * @version 2.0
 */
public class GreenRacecar extends Actor
{
    public int explosionCount;
    /**
     * Act - do whatever the Wizard wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move();
        crash();
        playSound();
    }    

    public void move()
    {
        if (Greenfoot.isKeyDown("I"))
        {
            move(4);
        } 
        if (Greenfoot.isKeyDown("K"))
        {
            move(-4);
        } 
        if (Greenfoot.isKeyDown("J"))
        {
            turn(4);
        } 
        if (Greenfoot.isKeyDown("L"))
        {
            turn(-4);
        } 

    }

    public void crash()
    {
        MyWorld world = (MyWorld) getWorld();
        Actor redRacecar;
        redRacecar = getOneObjectAtOffset(0,0, RedRacecar.class);

        if (redRacecar != null)
        {
            Greenfoot.playSound("explosion.wav");

            addExplosion(getX(), getY());

            world.removeObject(redRacecar);
            explosionCount++;
            world.raceCar();
            world.Rocket();

        }

        Actor racecar;
        racecar = getOneObjectAtOffset(0,0, Racecar.class);
        if (racecar != null)
        {
            Greenfoot.playSound("explosion.wav");
            addExplosion(getX(), getY());

            world.removeObject(racecar);
            explosionCount++;
            world.redRaceCar();
            world.Rocket();

        }
        
        Actor rocket;
        rocket = getOneObjectAtOffset(0,0, Rocket.class);
        if (rocket != null)
        {
            Greenfoot.playSound("explosion.wav");
            addExplosion(getX(), getY());


            world.removeObject(rocket);
            explosionCount++;
            world.raceCar();
            world.redRaceCar();

        }
    }

    public void addExplosion(int X, int Y)
    {
        World world = getWorld();
        Explosion explosion = new Explosion();
        world.addObject(explosion, X, Y);
    }

    public void playSound()
    {
        if(explosionCount == 3)
        {
            Greenfoot.playSound("greenCarWins.wav");
            explosionCount++;
        }
    }

    public void addExplosionCount()
    {
        explosionCount++;
    }
}

