import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MyWorld here.
 * 
 * @author Edwin, Paul and Mike
 * @version 2.0
 */
public class MyWorld extends World
{
    private GreenRacecar greenracecar;
    private RedRacecar redracecar;
    private Racecar racecar;
    private Rocket rocket;

    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public MyWorld()
    {    
        // Create a new world with 850x433 cells with a cell size of 1x1 pixels.
        super(850, 433, 1); 
        prepare();
    }
    
    public void greenRaceCar()
    {
        if (greenracecar.getWorld() == this) greenracecar.addExplosionCount();
    }
    
    public void raceCar()
    {
        if (racecar.getWorld() == this) racecar.addExplosionCount();
    }
    
    public void redRaceCar()
    {
        if (redracecar.getWorld() == this) redracecar.addExplosionCount();
    }
    
    public void Rocket()
    {
        if (rocket.getWorld() == this) rocket.addExplosionCount();
    }

    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        redracecar = new RedRacecar();
        addObject(redracecar,203,72);
        racecar = new Racecar();
        addObject(racecar,191,277);
        greenracecar = new GreenRacecar();
        addObject(greenracecar,207,176);
        redracecar.setLocation(201,110);
        greenracecar.setLocation(691,107);
        greenracecar.setLocation(518,165);
        racecar.setLocation(298,166);
        rocket = new Rocket();
        addObject(rocket,510,106);
    }
}
